### Constructor

# Foundry BuildFlags new

#### Declaration [src]

    FoundryBuildFlags*
    foundry_build_flags_new (
      const char* const* flags,
      const char* directory
    )

#### Description

No description available.

#### Parameters

`flags`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`directory`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryBuildFlags`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.